Subject: bug#25005: 25.1; Support disabling bracketed paste mode.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Nov 2016 18:37:35 +0200

> From: Jay Lee <[email-masked]>
> Date: Wed, 23 Nov 2016 23:47:37 +0900
> 
> I see that bracketed paste mode is automatically enabled in emacs 25.1 running in terminal.
> I know this mode is very good at security. But while I’m editing text, this mode annoy me. because something
> text is added.
> ex) 200~hello, world201~

That sounds like some bug, so please provide a recipe, preferably
starting from "emacs -Q".

Also, I suggest to try the current emacs-25 branch, I think there were
some improvements in that area since 25.1 was released.

> There is no problem in emacs -q session. I think that bracketed paste mode is not enabled in this case

I think it is enabled in "emacs -Q" as well.  So the fact it only
happens with your customizations would suggest that some of those
customizations might interfere with bracketed paste.